package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(replacement_instrument_activity):
 */
public class ReplacementInstrumentActivity {

	/**  */
	private Integer id;
	
	/** 合作单位 */
	private Integer cooperationOrganId;

	/** 合作单位置换活动表编号 */
	private Integer replacementInstrumentCooperationId;

	/** 活动标题 */
	private String replacementInstrumentCooperationTitle;

	private Integer topicId;

	/** 合作单位 */
	private String cooperationOrganName;
	
	/**  */
	private Integer userId;

	/**  */
	private Integer openFlag;
	
	/**  */
	private String userName;
	
	/**  */
	private String grade;
	
	/**  */
	private String classes;
	
	/**  */
	private String mobileNo;
	
	/**  */
	private Integer subjectId;
	
	/** 问卷结果，一题占1位，按顺序，例如110；1-是，0-否 */
	private String questionResult;
	
	/** 乐器编号 */
	private Integer instrumentsId;

	/** 商品编号 */
	private Integer goodsId;
	
	private String otherSuggestion;

	@ApiModelProperty(value = "缴费状态 0-未缴费 1-缴费中 2-已缴费")
	private Integer payStatus = 0;

	/**
	 * 是否有问卷 0-没有 1-有
	 */
	@ApiModelProperty(value = "是否有问卷 0-没有 1-有")
	private YesOrNoEnum showQuestion = YesOrNoEnum.YES;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getReplacementInstrumentCooperationTitle() {
		return replacementInstrumentCooperationTitle;
	}

	public void setReplacementInstrumentCooperationTitle(String replacementInstrumentCooperationTitle) {
		this.replacementInstrumentCooperationTitle = replacementInstrumentCooperationTitle;
	}

	public Integer getReplacementInstrumentCooperationId() {
		return replacementInstrumentCooperationId;
	}

	public void setReplacementInstrumentCooperationId(Integer replacementInstrumentCooperationId) {
		this.replacementInstrumentCooperationId = replacementInstrumentCooperationId;
	}

	public Integer getTopicId() {
		return topicId;
	}

	public void setTopicId(Integer topicId) {
		this.topicId = topicId;
	}

	public Integer getOpenFlag() {
		return openFlag;
	}

	public void setOpenFlag(Integer openFlag) {
		this.openFlag = openFlag;
	}

	public String getCooperationOrganName() {
		return cooperationOrganName;
	}

	public void setCooperationOrganName(String cooperationOrganName) {
		this.cooperationOrganName = cooperationOrganName;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setCooperationOrganId(Integer cooperationOrganId){
		this.cooperationOrganId = cooperationOrganId;
	}
	
	public Integer getCooperationOrganId(){
		return this.cooperationOrganId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUserName(String userName){
		this.userName = userName;
	}
	
	public String getUserName(){
		return this.userName;
	}
			
	public void setGrade(String grade){
		this.grade = grade;
	}
	
	public String getGrade(){
		return this.grade;
	}
			
	public void setClasses(String classes){
		this.classes = classes;
	}
	
	public String getClasses(){
		return this.classes;
	}
			
	public void setMobileNo(String mobileNo){
		this.mobileNo = mobileNo;
	}
	
	public String getMobileNo(){
		return this.mobileNo;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setQuestionResult(String questionResult){
		this.questionResult = questionResult;
	}
	
	public String getQuestionResult(){
		return this.questionResult;
	}
			
	public void setInstrumentsId(Integer instrumentsId){
		this.instrumentsId = instrumentsId;
	}
	
	public Integer getInstrumentsId(){
		return this.instrumentsId;
	}
			
	public String getOtherSuggestion() {
		return otherSuggestion;
	}

	public void setOtherSuggestion(String otherSuggestion) {
		this.otherSuggestion = otherSuggestion;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Integer getPayStatus() {
		return payStatus;
	}

	public void setPayStatus(Integer payStatus) {
		this.payStatus = payStatus;
	}

	public YesOrNoEnum getShowQuestion() {
		return showQuestion;
	}

	public void setShowQuestion(YesOrNoEnum showQuestion) {
		this.showQuestion = showQuestion;
	}

	public Integer getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Integer goodsId) {
		this.goodsId = goodsId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}
}
